| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiSvc::GaudiSvcConf::StoreExplorerAlg Class Reference

List of all members.

## Detailed Description

Definition at line 162 of file GaudiSvcConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiSvc::GaudiSvcConf::StoreExplorerAlg::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 190 of file GaudiSvcConf.py.

    00190                                                                :
    00191       super(StoreExplorerAlg, self).__init__(name)
    00192       for n,v in kwargs.items():
    00193          setattr(self, n, v)
      def getDlls( self ):

def GaudiSvc::GaudiSvcConf::StoreExplorerAlg::getDlls | ( |  | self | ) |

Definition at line 194 of file GaudiSvcConf.py.

    00194                      :
    00195       return 'GaudiSvc'
      def getType( self ):

def GaudiSvc::GaudiSvcConf::StoreExplorerAlg::getType | ( |  | self | ) |

Definition at line 196 of file GaudiSvcConf.py.

    00196                      :
    00197       return 'StoreExplorerAlg'
      pass # class StoreExplorerAlg

## Member Data Documentation

dictionary GaudiSvc::GaudiSvcConf::StoreExplorerAlg::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 0, # int
        'Enable' : True, # bool
        'ErrorMax' : 1, # int
        'ErrorCount' : 0, # int
        'AuditAlgorithms' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditReinitialize' : False, # bool
        'AuditRestart' : False, # bool
        'AuditExecute' : False, # bool
        'AuditFinalize' : False, # bool
        'AuditBeginRun' : False, # bool
        'AuditEndRun' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'MonitorService' : 'MonitorSvc', # str
        'Load' : False, # bool
        'PrintEvt' : 1, # int
        'PrintMissing' : 0, # int
        'PrintFreq' : 0.0, # float
        'ExploreRelations' : False, # bool
        'DataSvc' : 'EventDataSvc', # str
        'TestAccess' : False, # bool
        'AccessForeign' : False, # bool
      }

Definition at line 163 of file GaudiSvcConf.py.

dictionary GaudiSvc::GaudiSvcConf::StoreExplorerAlg::_propertyDocDct`[static, private]`

Initial value:

    {
      }

Definition at line 188 of file GaudiSvcConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiSvc/genConf/GaudiSvc/GaudiSvcConf.py